%define upstream_name    Package-Stash-XS
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Faster and more correct implementation of the Package::Stash API
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This is a backend for Package::Stash, which provides the functionality in a
way that's less buggy and much faster. It will be used by default if it's
installed, and should be preferred in all environments with a compiler.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/Package/Stash/
%{perl_vendorarch}/auto/Package/Stash/

%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.290.0-4.mga8
+ Revision: 1595129
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.290.0-3.mga8
+ Revision: 1528813
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 0.290.0-2.mga8
+ Revision: 1432649
- rebuild for perl 5.30

* Mon Dec 31 2018 tv <tv> 0.290.0-1.mga7
+ Revision: 1347752
- update to 0.29

* Fri Sep 21 2018 umeabot <umeabot> 0.280.0-15.mga7
+ Revision: 1293644
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.280.0-14.mga7
+ Revision: 1247444
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.280.0-13.mga7
+ Revision: 1166119
- rebuild with fixed rpm for missing autodeps

* Wed Aug 30 2017 pterjan <pterjan> 0.280.0-12.mga7
+ Revision: 1148498
- Rebuild for perl ABI changes

* Fri Jul 21 2017 shlomif <shlomif> 0.280.0-11.mga7
+ Revision: 1126303
- rebuild for new perl 5.26.0

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-10.mga6
+ Revision: 1031607
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.280.0-9.mga6
+ Revision: 957826
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.280.0-8.mga6
+ Revision: 845064
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.280.0-7.mga6
+ Revision: 840584
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-6.mga5
+ Revision: 742451
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.280.0-5.mga5
+ Revision: 733183
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 685853
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.280.0-3.mga5
+ Revision: 631550
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.280.0-2.mga4
+ Revision: 530125
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 sander85 <sander85> 0.280.0-1.mga4
+ Revision: 456254
- update to 0.28

* Wed May 29 2013 tv <tv> 0.260.0-3.mga4
+ Revision: 430054
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 371366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 342470
- update to 0.26

* Wed May 30 2012 jquelin <jquelin> 0.250.0-2.mga3
+ Revision: 251004
- rebuild for perl 5.16

* Sun Nov 06 2011 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 164282
- remove old tarball
- update to 0.23
+ takashi <takashi>
- update to 0.25

* Sun Jun 12 2011 ahmad <ahmad> 0.220.0-2.mga2
+ Revision: 104513
- Rebuild for perl-5.14.0

* Wed Mar 09 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 67026
- update to 0.22

* Tue Jan 25 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 38329
- update to 0.21

* Tue Jan 25 2011 jquelin <jquelin> 0.200.0-2.mga1
+ Revision: 38314
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 24545
- adding missing buildrequires:
- fix specs
+ shikamaru <shikamaru>
- imported package perl-Package-Stash-XS

